#ifndef __ADRIFTER_H
#define __ADRIFTER_H

class AstDrifter : public AstObject
{
  protected:

    AstVector velocity;

    void CheckBoundaries( void );
    void Drift( void );
    void Stop( void )
    {
       velocity.X = velocity.Y = velocity.Z = 0;
    }

  public:
    AstDrifter( const char *n );

    void SetVelocity( const AstVector &v )
    {
       velocity = v;
    }

    const AstVector &GetVelocity( void ) const { return velocity; }
};

#endif
