#ifndef __AKBD_H
#define __AKBD_H

const KbdNoKey      = 0;
const KbdEsc        = 27;
const KbdSpace      = 32;
const KbdUpArrow    = 328;
const KbdLeftArrow  = 331;
const KbdRightArrow = 333;
const KbdDownArrow  = 336;

class AstKeyboard : public AstInputDevice
{
  private:
    bool KeyWaiting( void ) const;

  public:
    virtual void Update( void ) {}
    virtual bool IsAvailable( void ) const { return true; }

    int  GetKey( void );
    bool Shift( void ) const;
};

#endif
