#define __INLINING__
#include "ast3d.h"

/*
** Fixed point math routines for Borland C++.  Watcom C/C++
** allows us to generate the assembly inline whenever used
** in the program via the #pragma aux directive (see AMATH.H).
*/
#ifdef __BORLANDC__
#pragma inline
AstFixedpoint_t AstFixMulFix( AstFixedpoint_t a, AstFixedpoint_t b )
{
AstFixedpoint_t result;

  A  .386
  A  mov  eax, a
  A  mov  ebx, b
  A  imul ebx
  A  shrd eax, edx, 16
  A  mov  result, eax

  return result;
}

AstFixedpoint_t AstFixDivFix( AstFixedpoint_t dividend, AstFixedpoint_t divisor )
{
AstFixedpoint_t result;

   A  mov  eax, dividend
   A  cdq
   A  shld edx, eax, 16
   A  sal  eax, 16
   A  mov  ebx, divisor
   A  idiv ebx
   A  mov  result, eax

   return result;
}

#endif

