#ifndef __ATRIG_H
#define __ATRIG_H

const int TRIG_TABLE_SIZE = 4096;

class AstTrigTable
{
  private:
     AstFixedpoint_t data[TRIG_TABLE_SIZE];

  public:
     AstTrigTable();

     static unsigned short ConvertDegree( unsigned short angle )
     {
        return ( unsigned short ) ( ( ( ( long ) angle ) << 16 ) / 3600L );
     }

     AstFixedpoint_t Cos( unsigned short angle )
     {
        return ( data[ ( ( ( unsigned short ) ( angle + 0x4000 ) ) >> 4 ) ] );
     }

     AstFixedpoint_t Sin( unsigned short angle )
     {
        return ( data[ angle >> 4 ] );
     }
};

#endif
